<?php
namespace Teknisa\EST\Modules\EstoqueCego\Services;

use Zeedhi\Framework\DataSource\FilterCriteria;
use Zeedhi\Framework\DataSource\DataSet;

class Est96000DivergenciasInventarioCegoService {
    
    protected $factory;
    protected $dataSourceManager;
    
    public function __construct($Est96000factory, $environment,$dataSourceManager) {
        $this->factory = $Est96000factory;
        $this->dataSourceManager = $dataSourceManager;
        $this->environment = $environment;
    }
    
    public function getParperdivestceg($CDFILIAL,$CDPRODUTO) {
        $params = [
            "CDFILIAL" => $CDFILIAL,
            "CDPRODUTO" => $CDPRODUTO
        ];
        return $this->factory->getParperdivestceg($params);
    }
    
    public function getCardapioInfo($cdfilial,$dtreti,$cdservbaiestceg) {
        $params = [
            "CDFILIAL" => $cdfilial,
            "CDSERVFILI" => $cdservbaiestceg,
            "DTCARDAPIO" => $dtreti,
            "NRCARDAPIO" => 'T'
        ];
        return $this->factory->getCardapioInfo($params);
    }
    
}
